SearchContextTest_Person:
    person1:
        Name: James
        Email: james@example.com
        HairColor: brown
        EyeColor: brown
    person2:
        Name: John
        Email: john@example.com
        HairColor: blond
        EyeColor: blue
    person3:
        Name: Jane
        Email: jane@example.com
        HairColor: brown
        EyeColor: green
    person4:
        Name: Hemi
        Email: hemi@example.com
        HairColor: black
        EyeColor: brown
    person5:
        Name: Sara
        Email: sara@example.com
        HairColor: black
        EyeColor: green

SearchContextTest_Action:
    action1:
        Description: Get search context working
        SolutionArea: technical
    action2:
        Description: Get relationship editor working
        SolutionArea: design
    action3:
        Description: Get RSS feeds working
        SolutionArea: technical
    action4:
        Description: New logotype
        SolutionArea: design


SearchContextTest_Deadline:
    deadline1:
        CompletionDate: 2008-05-29 09:00:00
    deadline2:
        CompletionDate: 2008-05-20 09:00:00

SearchContextTest_Project:
    project1:
        Name: CRM Application
        DeadlineID: =>SearchContextTest_Deadline.deadline1
        Actions: =>SearchContextTest_Action.action1,=>SearchContextTest_Action.action2
    project2:
        Name: Blog Website
        DeadlineID: =>SearchContextTest_Deadline.deadline2
        Actions: =>SearchContextTest_Action.action3,=>SearchContextTest_Action.action4

SearchContextTest_AllFilterTypes:
    filter1:
        ExactMatch: Match me exactly
        PartialMatch: Match me partially
        Negation: Shouldnt match me
        HiddenValue: Filtered value
        CollectionMatch: ExistingCollectionValue
        StartsWith: 12345-6789 CamelCase
        EndsWith: abcd-efgh-ijkl
        FulltextField: one two three